octonet - Segnalazione #89

Forzare https verso octofussd
11/24/2016 10:41 AM - Enrico Zini

Status: Chiuso Start date: 11/24/2016
Priority: Normale Due date:

Assignee: Enrico Zini % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

Direi che le password degli utenti girino in chiaro tra octonet e octofussd durante il login. Ha senso forzare da http a https durante |l
login quando I'hostname ¢ diverso da localhost?

Related issues:
Related to octonet - Segnalazione #84: Login form Chiuso 11/23/2016

Associated revisions

Revision eb627f7f - 11/25/2016 10:58 AM - Enrico Zini
Filter OCTONET_MANAGED_SERVERS removing non-localhost HTTP. refs: #89

Revision a7beacd1 - 11/25/2016 10:58 AM - Enrico Zini

When there is only once choice, use a readonly field instead of hiding the select, so the user knows where they are connecting to. refs: #89

Revision b6e3eb84 - 11/25/2016 11:02 AM - Enrico Zini

Filter out non-localhost http octofussd urls. Fixes #89

History

#1 - 11/24/2016 10:43 AM - Christopher R. Gabriel
- Related to Segnalazione #84: Login form added

#2 - 11/24/2016 10:43 AM - Christopher R. Gabriel

- Assignee changed from Christopher R. Gabriel to Enrico Zini

Cioe' vorresti impedire che venga utilizzato un URL http con host diverso da localhost? Considerato che I'url non lo devono inserire (vedi #84), si, mi
pare un enforcement sensato, vedo di aggiungere il supporto a octofussd.

Ma prima finirei di sistemare #84

#3 - 11/24/2016 06:17 PM - Enrico Zini

- Assignee changed from Enrico Zini to Christopher R. Gabriel

Si, direi che basti far si che gli url possibili siano quelli noti a octonet, e documentare di non aggiungere a octonet url http:// che non puntino a
localhost. Ti torna?

#4 - 11/24/2016 06:19 PM - Christopher R. Gabriel

- Assignee changed from Christopher R. Gabriel to Enrico Zini

Si. Oppure banalmente il form, quando tira su le choices dal settings, filtra gli url non "buoni" perche' non in https, permettendo solo localhost. Ancora
meglio no?
#5 - 11/25/2016 11:03 AM - Anonymous
- Status changed from Commenti to Risolto

- % Done changed from 0 to 100

Applicata nel changeset b6e3eb842bb6229ebb4048cf23de47{3368ea007.

#6 - 11/25/2016 11:03 AM - Enrico Zini

- Status changed from Risolto to Chiuso
